Skip to main content
GET
/
trading
/
trades
/
{tradeId}
Get trade by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/trades/{tradeId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "quantitySold": "1",
    "currencySold": "USD",
    "currencyBought": "BTC",
    "price": "11681.67",
    "quantityBought": "0.00008561",
    "side": "BUY",
    "timestamp": "2020-08-31T22:15:31.99999Z",
    "tradeID": "e0538774-ebd9-11ea-adc1-0242ac120002",
    "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120011",
    "vault": {
      "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
    },
    "tradeStatus": "EXECUTED",
    "tradingPair": "BTC-USD",
    "fee": "0.01",
    "feeCurrency": "USD"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

tradeId
string
required

The ID of the trade to get details for

Response

Metadata about a specific trade

data
TradeDetails · object
required